Skip to content
API Reference

Accept

POST/invitations/{token}/accept

Accept and consume an invitation token to join the organization

Path ParametersExpand Collapse
token: string
minLength1
maxLength500
Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
ReturnsExpand Collapse
organization_id: string

ID of the organization joined

minLength1
maxLength255
organization_name: string

Name of the organization joined

success: boolean

Whether the invitation was successfully accepted

user_id: optional string

ID of the user who accepted the invitation

minLength1
maxLength255

Accept

curl https://api.keycard.ai/invitations/$TOKEN/accept \
    -X POST
{
  "organization_id": "ab3def8hij2klm9opq5rst7uvw",
  "organization_name": "organization_name",
  "success": true,
  "user_id": "ab3def8hij2klm9opq5rst7uvw"
}
Returns Examples
{
  "organization_id": "ab3def8hij2klm9opq5rst7uvw",
  "organization_name": "organization_name",
  "success": true,
  "user_id": "ab3def8hij2klm9opq5rst7uvw"
}